summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Ryan P.C. McQuen <ryanpcmcquen@gmail.com>2014-10-14 14:29:53 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-10-15 14:58:28 +0700
commit97376ee25bcced51ac76ed48c778a321e0bf1d4f (patch)
treee68f7d7013e64035b15ec2b261fb4d36f0e432c7 /office
parent8d1c21d301bc548dd199c5c3d7af81d795018feb (diff)
downloadslackbuilds-97376ee25bcced51ac76ed48c778a321e0bf1d4f.tar.gz
slackbuilds-97376ee25bcced51ac76ed48c778a321e0bf1d4f.tar.xz
office/mdp: Added (command line presentation tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/mdp/README1
-rw-r--r--office/mdp/mdp.SlackBuild84
-rw-r--r--office/mdp/mdp.info10
-rw-r--r--office/mdp/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/office/mdp/README b/office/mdp/README
new file mode 100644
index 0000000000..ca562f33b6
--- /dev/null
+++ b/office/mdp/README
@@ -0,0 +1 @@
+mdp - A command-line based markdown presentation tool.
diff --git a/office/mdp/mdp.SlackBuild b/office/mdp/mdp.SlackBuild
new file mode 100644
index 0000000000..ac6f5690af
--- /dev/null
+++ b/office/mdp/mdp.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for mdp
+
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+
+PRGNAM=mdp
+VERSION=${VERSION:-0.91.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+make \
+ OPTS="$SLKCFLAGS"
+
+make install \
+ OPTS="$SLKCFLAGS" \
+ DESTDIR=$PKG/usr/bin
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING CREDITS mdp.sublime-project README.md sample.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/mdp/mdp.info b/office/mdp/mdp.info
new file mode 100644
index 0000000000..59a0399a69
--- /dev/null
+++ b/office/mdp/mdp.info
@@ -0,0 +1,10 @@
+PRGNAM="mdp"
+VERSION="0.91.3"
+HOMEPAGE="https://github.com/visit1985/mdp"
+DOWNLOAD="https://github.com/visit1985/mdp/archive/0.91.3.tar.gz"
+MD5SUM="d3b422dc089b60a8bfa0a98b8de2260c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"
diff --git a/office/mdp/slack-desc b/office/mdp/slack-desc
new file mode 100644
index 0000000000..51982d0a25
--- /dev/null
+++ b/office/mdp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mdp: mdp (command line presentation tool)
+mdp:
+mdp: A command-line based markdown presentation tool.
+mdp:
+mdp:
+mdp:
+mdp:
+mdp:
+mdp: https://github.com/visit1985/mdp
+mdp:
+mdp: